<?php
/**
 * Metag Display
 * @package     Metag
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class Metag_Display extends Metag
{
    /**
     * タグタイプ
     * @var string
     */
    public $node_type = 'display';
    /**
     * 表示名
     * @var string
     */
    public $display_name = 'ディスプレイ (display)';
    /**
     * ブロック要素かどうか
     * @var boolean
     */
    public $is_block = true;
    /**
     * 公開画面の表示制御
     * @var boolean
     */
    public $site;
    /**
     * 編集画面の表示制御
     * @var boolean
     */
    public $edit;
    /**
     * 属性リスト
     * @var array
     */
    public $attr_list = array(
        'id' => 'id',
        'site' => 'site',
        'edit' => 'edit',
    );

    /**
     * タグ編集
     */
    public function set_post_data()
    {
        $mapping = $this->attr_list;
        Me_Util::post_data_to_object($this, $mapping);
    }
}