;; User Configuration File

[global]
; ドキュメントルート
;document_root = /path/to/document_root
<?php if (!empty($system_setting['document_root'])): ?>
document_root = <?php echo $system_setting['document_root'] ?>
<?php endif; ?>


; CMS管理対象ディレクトリのドキュメントルートからのパス
;site_path = /news
<?php if (!empty($system_setting['site_path'])): ?>
site_path = <?php echo $system_setting['site_path'] ?>
<?php endif; ?>


; CMSインストールディレクトリのドキュメントルートからのパス
cms_path = <?php echo $system_setting['cms_path'] ?>


; アップロードファイル保存ディレクトリのドキュメントルートからのパス
<?php if (!empty($system_setting['upload_path'])): ?>
upload_path = <?php echo $system_setting['upload_path'] ?>
<?php else: ?>
upload_path = <?php echo $system_setting['cms_path'] ?>/upload
<?php endif; ?>


; セッション名
;session.name = MicroEngine_Session

; MicroEngine セッション識別子
<?php if (isset($me_session_id)): ?>
me_session_id = <?php echo $me_session_id ?>
<?php endif; ?>


[page]
;; ページ
; 管理対象拡張子
; 拡張子を ,(カンマ)区切りで複数指定できる
;extensions = html,htm,php

; ディレクトリインデックス
;directory_index = index.html, index.htm, index.php

; 管理対象外ディレクトリ
; site_pathに"/"以外が指定されている場合は、site_pathを省いて指定する
;exclude_dir =

; 編集領域ボーダーカラー
;edit_border_color = #FF0000

; Repeat編集領域ボーダーカラー
; ,(カンマ)区切りで複数指定可能
;edit_border_color_repeat = #00FF7F, #00BFFF

; trim_to属性で文字を丸めた場合に追加する文字列
;trim_marker = ...

; リビジョン最大保存数
;revision_max_count = 10

[template]
;; テンプレート
; 表示モードクッキー名
;display_mode_cookie_name = "me_display_mode"
; 表示モードクッキー有効期限（日数）
;display_mode_cookie_expire = 30
; xhtml出力
;xhtml = 0


[file]
;; ファイルマネージャー
; 管理対象拡張子
; 拡張子を ,(カンマ)区切りで複数指定できる
;extensions = js, css, htaccess, txt


[log]
;; ログ
; ログレベル
; 0 : 書き出さない。
; 1 : secureログ（ログイン・ログアウト・ユーザー作成など）を書き出す
; 2 : systemログ（設定ファイル編集・ライセンス登録など）を書き出す
; 3 : infoログ  （ページ・テンプレート・コード編集など）を書き出す
; レベルによる指定のため、"3" を指定すれば、それ以下の"1"および"2"も書き出されます。
;log_level = 3

; エラーログ出力
; アプリケーションがエラーを発生させた場合に、ログに書き出すかどうかを設定する
;error_log = 0


[Date]
; Defines the default timezone used by the date functions
;date.timezone = Asia/Tokyo

[user]
;; ユーザー
; ロックアウト制限値
;lockout_limit = 10

; ロックアウト期間（秒数）
;lockout_duration = 3600