<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>ユーザー設定 - MicroEngine インストーラー</title>
<link href="../../app/assets/css/me_install.css?v=<?php h::p(SCRIPT_VERSION) ?>" rel="stylesheet">
<script>
<!--
$(document).ready(function(){
    $('#navi_user_setting').addClass('badge-important');
    $('#user_name').focus();
});
//-->
</script>
<meta name="robots" content="noindex,nofollow,noarchive">
</head>
<body>
<?php h::render('/Common/header_simple.php') ?>
<div class="main container">
<?php h::render('/Install/install_navi.php') ?>
<hr>

<div class="message"><?php h::p($form->errors['MESSAGE']) ?></div>
<form method="POST" action="../Install/post_user_setting" autocomplete="off">
<table class="table table-striped">
<tr>
<th>ユーザー名 <span class="label label-important">※必須</span></th>
<td>
<input type="text" id="user_name" name="user_name" maxlength="32" value="<?php h::p($form->user_name);?>"><br>
※ログインに使用する名前
<?php h::error($form->errors["user_name"]) ?>
</td>
</tr>
<tr>
<th>パスワード <span class="label label-important">※必須</span></th>
<td>
<input type="password" id="password" name="password" maxlength="32"><br>
<input type="password" id="confirm_password" name="confirm_password" maxlength="32"><br>
※確認用
<?php h::error($form->errors["password"]) ?>
</td>
</tr>
<tr>
<th>表示名</th>
<td>
<input type="text" id="display_name" name="display_name" maxlength="32" value="<?php h::p($form->display_name) ?>"><br>
※ユーザー名とは別の名前を画面上に表示したい場合に指定する。
<?php h::error($form->errors["display_name"]) ?>
</td>
</tr>
<tr>
<th>備考</th>
<td>
<input type="text" id="note" name="note" class="input-xxlarge" maxlength="50" value="<?php h::p($form->note) ?>">
<?php h::error($form->errors["note"]) ?>
</td>
</tr>
</table>

<hr>
<a class="btn" href="../Install/system_setting">戻る</a>
<button type="submit" class="btn btn-primary">登録する</button>
<input type="hidden" id="_token" name="_token" value="<?php h::get_token() ?>">
</form>

</div>
<?php h::render('/Common/footer.php') ?>
</body>
</html>